> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryhamsa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Knowledge Base Item

> Deletes a knowledge base item. Returns an error if the item is currently active in a voice agent.



## OpenAPI

````yaml /api-reference/openapi.json delete /v1/voice-agents/knowledge-base/{id}
openapi: 3.0.1
info:
  title: Hamsa API
  description: Trying out our transcription and media-to-text APIs
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tryhamsa.com
security: []
paths:
  /v1/voice-agents/knowledge-base/{id}:
    delete:
      summary: Delete Knowledge Base Item.
      description: >-
        Deletes a knowledge base item. Returns an error if the item is currently
        active in a voice agent.
      parameters:
        - in: path
          name: id
          required: true
          description: UUID of the knowledge base item to delete.
          schema:
            type: string
            format: uuid
            example: d949f13f-40d2-4e48-ac86-b66633070603
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteKnowledgeBaseItemResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '403':
          description: Forbidden - Item is active in a voice agent and cannot be deleted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '404':
          description: Knowledge base item not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '500':
          description: Server Side Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    DeleteKnowledgeBaseItemResponse:
      type: object
      properties:
        success:
          type: boolean
          default: false
        message:
          type: string
          example: URL deleted successfully from knowledge base item!
          default: URL deleted successfully from knowledge base item!
        messageKey:
          type: string
          example: UrlDeletedSuccessfully
          default: UrlDeletedSuccessfully
    ErrorSchema:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Pass the API key in the Authorization header, You need to put Token
        keyword before the API key. e.g. 'Authorization: Token <api-key>'

````